dialog.dialog {
    overflow        : hidden;
    padding         : 0;
    border          : 0 none;
    background-color: transparent;
    max-width       : 100vw;
    max-height      : 100vh;
}

dialog.dialog::backdrop {
    background-color: #000000aa;
}

dialog.dialog.dialog-modal {
    border-radius: 5px;
    box-shadow   : 0 10px 20px #00000080;
    max-width    : 100vw;
}

dialog.dialog.dialog-modal {
    position: absolute;
    top     : 0;
    left    : 0;
    bottom  : 0;
    right   : 0;
    margin  : auto;
}

dialog.dialog .dialog-header {
    padding        : 10px 15px;
    display        : flex;
    align-items    : center;
    justify-content: space-between;
    font-weight    : bold;
}

dialog.dialog .dialog-body {
    padding         : 15px 15px;
    background-color: #ffffff;
}

dialog.dialog .dialog-footer {
    padding         : 10px 15px;
    background-color: #ffffff;
    border-top      : 1px solid #aaaaaaaa;
    text-align      : right;
}

dialog.dialog dialog.dialog.dialog-modal {
    max-width: 100%;
}

dialog.dialog-sm {
    min-width: 500px;
}

dialog.dialog-lg {
    min-width: 800px;
}

dialog.dialog-xl {
    min-width: 1140px;
}
